#include "vision.h"
#include<iostream>
#include<vector>
#include<utility>
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(vector<int> v)
{
    int n=(v.size()-1)/2;
    int curr=v[n];
    if(curr==1)
    {
        if(v[n+1]==2)return n+1;
        return n-1;
    }
    else if(curr==2)
    {
        if(v[n+1]==3)return n+1;
        return n-1;
    }
    else
    {
        if(v[n+1]==1)return n+1;
        return n-1;
    }
    return 0;
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}